> For the complete documentation index, see [llms.txt](https://developer.ivvy.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.ivvy.com/events/get-sponsorship-list.md).

# Get Sponsorship List

## Get Sponsorship List

<mark style="color:green;">`POST`</mark> `[PlatformAddress]/api/1.0/event?action=getSponsorshipList`

Lists the sponsors that are sponsoring the event.

#### Path Parameters

| Name  | Type    | Description          |
| ----- | ------- | -------------------- |
| event | integer | The event identifier |

{% tabs %}
{% tab title="200 " %}

```
{
"meta":{"totalResults":1,"start":0,"perPage":1,"count":1},"results":[{"id":"1","name":"Test Sponsor for event 1","description":"...","websiteAddress":"www.sponsor1.com","logoI
mageUrl":"https://.../554ac739bcc9a.png","level":"9","customLevelId":null,"sponsorshipAmount":"44","sponsorshipAmountPaid":"4"}]
}
```

{% endtab %}
{% endtabs %}

## Example Request

`Example: Fetch the list of sponsors on an event`

```javascript
{
  "event":15593
}
```

## Returns

A collection array with the following object properties in the results

| Property              | Description                                                                   |
| --------------------- | ----------------------------------------------------------------------------- |
| id                    | The unique sponsor identifier                                                 |
| name                  | The name of the sponsor                                                       |
| description           | The description of the sponsor                                                |
| websiteAddress        | The URL to the sponsor details                                                |
| logoImageUrl          | The URL to the sponsor details                                                |
| level                 | The sponsorship level of the sponsor                                          |
| customLevelId         | The custom level identifier if this sponsor has a custom level assigned to it |
| sponsorshipAmount     | How much this sponsorship is for                                              |
| sponsorshipAmountPaid | How much has been paid by the sponsor so far                                  |

## Throws

| Code                 | Description                  |
| -------------------- | ---------------------------- |
| Specific Code: 24094 | Event does not have sponsors |
| Specific Code: 24100 | Unable to find event         |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.ivvy.com/events/get-sponsorship-list.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
